Markets
Get Configuration Status
Check whether a market is fully configured on-chain
GET
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Check whether a market is fully configured on-chain
curl "https://api.trusset.org/lending-stocks/api/markets/{marketId}/configuration-status" \
-H "X-API-Key: trusset_your_key_here"
{
"success": true,
"data": {
"liquidationConfigured": true,
"insuranceFundConfigured": true,
"routerAuthorized": true,
"fullyConfigured": true,
"stockTokenAuthStatus": {
"marketAuthorized": true,
"routerAuthorized": true,
"fullyAuthorized": true
}
}
}
Show child attributes
curl "https://api.trusset.org/lending-stocks/api/markets/{marketId}/configuration-status" \
-H "X-API-Key: trusset_your_key_here"
{
"success": true,
"data": {
"liquidationConfigured": true,
"insuranceFundConfigured": true,
"routerAuthorized": true,
"fullyConfigured": true,
"stockTokenAuthStatus": {
"marketAuthorized": true,
"routerAuthorized": true,
"fullyAuthorized": true
}
}
}
curl "https://api.trusset.org/lending-stocks/api/markets/{marketId}/configuration-status" \
-H "X-API-Key: trusset_your_key_here"
{
"success": true,
"data": {
"liquidationConfigured": true,
"insuranceFundConfigured": true,
"routerAuthorized": true,
"fullyConfigured": true,
"stockTokenAuthStatus": {
"marketAuthorized": true,
"routerAuthorized": true,
"fullyAuthorized": true
}
}
}
